Solid by loft Error

Hello!

I’ve been trying to import a curve from Revit and have multiple profiles along that curve, then make a solid by loft through all these profiles but somehow it show an error.
I tried many solutions, but without no result, someone can help me please.




Solid by loft errors.rvt (6.8 MB)
Solid By Loft.dyn (139.1 KB)
Adp-Rail_Profile.rfa (1.6 MB)
Data2.xlsx (46.8 KB)

Try running it on a few consecutive profiles instead of trying to do them all at once. This often makes the issue apparent.

It’s giving me the same error even if i used just some fiew profiles :confused:

Try pairs; also try changing the geometry scaling to see if it’s a size issue.


  1. as @JacobSmall said change the geometry scaling setting in Dynamo, don’t actually scale the geometry manually unless theres a reason.
  2. try the solid.ByRuledLoft node:
    Dynamo/Autodesk.DesignScript.Geometry.Surface.ByRuledLoft.md at d5f98ce9d51f7c78683e0cb931a438be47ec1fe8 · DynamoDS/Dynamo · GitHub
1 Like

Likely you’ll need to use another method to perform the loft then. Try generating a new curve from a corner of the rotated profiles, and use the Solid.ByLoft which allows defining the rail(s).

1 Like

hello @Michael_Kirschner2 thank you for your advice, but it is not about geometry scaling because I was using the largest scale in dynamo already.

This might be making some of your profile invalid. Try using medium scaling closer to the origin. This can be done by moving everything by the inverse of the vector formed by the point at the midpoint of the rail.

Depending on how the curve is built and how accurate my memory is for design script, this may work: Vector.Reverse(Point.AsVector(Curve.PointAtParameter(rail, 0.5)))

1 Like

Hello! @JacobSmall you are right, your answer was the half of my solution, thank you so much.
The other half solution was from a post by Mr @ John. DeLeeuw] (Profile - John.DeLeeuw - Dynamo).
The solution is using Solid. BySweep Node:
*Profile was the first rails Profile .
*Path was a new polycurve. By Points (Point. ByCartesianCoordinates).

I have one last question, how can I narrow down all the lines of my generic model?
thanks a lot, guys :orange_heart: